ONVIF::Analytics::Types::PTZConfigurationExtension(3pm)

NAME
ONVIF::Analytics::Types::PTZConfigurationExtension

DESCRIPTION
Perl data type class for the XML Schema defined complexType PTZConfigurationExtension from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PTControlDirection

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::PTZConfigurationExtension
   PTControlDirection =>  { # ONVIF::Analytics::Types::PTControlDirection
     EFlip =>  { # ONVIF::Analytics::Types::EFlip
       Mode => $some_value, # EFlipMode
     },
     Reverse =>  { # ONVIF::Analytics::Types::Reverse
       Mode => $some_value, # ReverseMode
     },
     Extension =>  { # ONVIF::Analytics::Types::PTControlDirectionExtension
     },
   },
   Extension =>  { # ONVIF::Analytics::Types::PTZConfigurationExtension2
   },
 },

AUTHOR
Generated by SOAP::WSDL